# $Revision: 1.32 $, $Date: 2010/11/24 07:32:51 $
# TODO:
# - update to version 9, but save it as saxon6.spec
# - split jars into java-saxon subpackage
#
# Conditional build:
%define		ver		6.5.5
%define		_ver		6-5-5
#
%include	/usr/lib/rpm/macros.java
#
Summary:	XSLT Processor in Java
Summary(pl.UTF-8):	Procesor XSLT napisany w Javie
Name:		saxon
Version:	%{ver}
Release:	3
License:	Mozilla Public License, some parts on other license (distributable)
Group:		Applications/Publishing/XML
Source0:	http://downloads.sourceforge.net/saxon/%{name}%{_ver}.zip
# Source0-md5:	e913002af9c6bbb4c4361ff41baac3af
Source1:	%{name}.sh
Source2:	%{name}-build.xml
URL:		http://saxon.sourceforge.net/
BuildRequires:	ant
BuildRequires:	glibc-localedb-all
BuildRequires:	java-jdom
BuildRequires:	java-xml-commons
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	unzip
Requires:	java(jaxp_parser_impl)
Requires:	java-jdom
Requires:	java-xml-commons
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XSLT Processor in Java.

%description -l pl.UTF-8
Procesor XSLT napisany w Javie.

%package javadoc
Summary:	Online manual for saxon
Summary(pl.UTF-8):	Dokumentacja online dla saxon
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
Documentation for saxon.

%description javadoc -l pl.UTF-8
Dokumentacja dla saxon.

%prep
%setup -q -c
install %{SOURCE2} build.xml
unzip -q source.zip

%{__rm} -rf *.jar docs/api

%build
export JAVA_HOME="%{java_home}"
export CLASSPATH=$(build-classpath xml-commons-apis jdom)
export LC_ALL=en_US # source code not US-ASCII
%ant

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_javadir},%{_javadocdir}/%{name}-%{version}}

install build/lib/saxon.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install build/lib/saxon-jdom.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-jdom-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-jdom-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-jdom.jar

install %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

cp -a build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/saxon
%{_javadir}/saxon-jdom.jar
%{_javadir}/saxon-jdom-%{version}.jar
%{_javadir}/saxon.jar
%{_javadir}/saxon-%{version}.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: saxon.spec,v $
Revision 1.32  2010/11/24 07:32:51  pawelz
- release 3

Revision 1.31  2010/04/29 16:05:55  pawelz
- install shell wrapper

Revision 1.30  2010/04/29 15:55:55  pawelz
- dropped kosek.jar. It's other project and should be packaged in other spec.
  Or at least as a subpackage.
- unified
- source contains some non-ascii chars, so set LC_ALL

Revision 1.29  2010/04/29 15:35:40  pawelz
- TODO: update to version 9, but save it as saxon6.spec

Revision 1.28  2010/04/29 15:28:48  pawelz
- dropped all %{with/out java_sun} stuff
- sorted and updated deps

Revision 1.27  2010/04/23 00:04:21  pawelz
- Don't force specific jdk.

Revision 1.26  2009/04/15 12:06:37  megabajt
- build jars using ant
- added -javadoc subpackage
- release 2

Revision 1.25  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.24  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.23  2007/01/05 17:43:15  arekm
- up to 6.5.5

Revision 1.22  2006/06/07 10:38:20  qboosh
- gpm-friendly Source0 URL

Revision 1.21  2005/11/03 10:56:41  luzik
- updated to 6.5.4
- fixed URL

Revision 1.20  2004/10/10 18:23:28  darekr
- added BR: unzip

Revision 1.19  2004/08/28 13:02:42  djurban
- updated to 6.5.3 which is a bugfix release, wondering if not to update to saxon 8.0 (the xslt2.0 implementation) but i dont need xslt 2.0 at this point

Revision 1.18  2003/12/19 18:35:31  eothane
- changed dl.sf.net to dl.sourceforge.net (SourceN:'s)

Revision 1.17  2003/07/10 06:40:58  pascalek
- Ops... xerces-j provides jaxp_parser_impl.

Revision 1.16  2003/07/10 06:33:36  pascalek
- Updated to 6.5.2

Revision 1.15  2003/06/20 08:47:57  ankry
- md5

Revision 1.14  2003/05/28 13:01:45  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:26:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/03/20 17:43:31  qboosh
- removed crimson.jar (it's in separate crimson package or in jaxp)
- moved jars from non-existent /usr/share/java/classes to /usr/share/java
- noted URLs to new version

Revision 1.11  2002/02/23 04:32:22  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:14:52  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/13 12:00:53  qboosh
- adapterized (more groups)

Revision 1.7  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.6  2001/09/15 10:12:07  bonkey
- change Requires: java to jre

Revision 1.5  2001/08/22 17:31:01  filon
- added Requires: java

Revision 1.4  2001/02/22 00:27:53  kloczek
- copy Summary to %description.

Revision 1.3  2001/02/21 23:38:26  klakier
- added jar files from Jirka Kosek (enable catalog and many encodings including latin2)

Revision 1.2  2001/02/18 16:03:27  klakier
- cosmetics
